Bug 1265146 - Unable to change PM fence agent type in WA portal
Unable to change PM fence agent type in WA portal
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.6.0
All All
unspecified Severity high
: ovirt-3.6.0-rc
: 3.6.0
Assigned To: Alexander Wels
Lukas Svaty
infra
:
Depends On:
Blocks: RHEV3.6PPC 1277183 1277184
  Show dependency treegraph
 
Reported: 2015-09-22 04:34 EDT by Lukas Svaty
Modified: 2016-02-21 08:32 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-07 09:10:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Svaty 2015-09-22 04:34:52 EDT
Description of problem:
When changing fence agent type of host power management in web admin portal action is blocked by message 'duplicate fence agent address found'.  

Version-Release number of selected component (if applicable):
rhevm-3.6.0-0.16.master.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. Add PPC host to webadmin
2. Add powermanagment (type = ipmilan)
3. Change fence agent type from ipmilan to 'apc_snmp'

Actual results:
Duplicate fence agent address found.

Expected results:
Should succeed.

Additional info:
Working for x86/64 hosts.
Comment 1 Yaniv Kaul 2015-09-22 05:03:49 EDT
logs?
Comment 2 Lukas Svaty 2015-09-22 05:21:39 EDT
As this action is blocked by engine logic, and not an invalid action of engine this is not producing any logs to engine.log. Scenario is not connected to vdsm/supervdsm => no logs there. 

Any other logs I can provide that might be helpful investigating this?
Comment 3 Yaniv Kaul 2015-09-22 05:25:41 EDT
I'm surprised there's nothing on engine.log, but OK.
Comment 4 Oved Ourfali 2015-10-07 05:00:42 EDT
Lukas - is it related to PPC only.
Comment 5 Lukas Svaty 2015-10-07 05:37:58 EDT
Yes, the same workflow has correct behaviour on x86/64 host
Comment 6 Oved Ourfali 2015-10-07 06:12:41 EDT
Okay. I'm trying to understand if the UI blocks that, or it is backend related.
You press okay on the dialog and nothing happens?
Or you get a "red" UI error.
Logs of you reproducing that would be great to understand whether this is a UI or backend issue.
Comment 7 Lukas Svaty 2015-10-07 06:26:57 EDT
As there were no logs generated I would say this is an UI issue. At the moment I don't have ppc host to re-test this. 

From my point of view it seems like different logic of UI for ppc and x86/64 hosts. 

As no error were generated in engine.log just the message "Duplicate fence agent address found." was displayed in webadmin and action was blocked. I believe on changing the type of agent, UI is trying to add new fence agent and remove the old one instead of updating existing one. As the new agent has same ip it cause UI to block this action.
Comment 8 Oved Ourfali 2015-10-07 06:36:06 EDT
Sounds weird to me... but let's see what Alexander has to say.
Comment 9 Alexander Wels 2015-10-07 08:20:49 EDT
That does sound weird. This is a pure frontend check to avoid having two fence agents with the same ip address and same type in the list. Since the underlying datastructure is keyed on those two things, it would cause all kinds of havoc if we allowed that.

Now the thing that is weird to me is that it works for x86-64, but not for PPC. As the fence agent code doesn't know nor care about the architecture of the host. Quite literally when you click ok, it looks at the data structure underlying the list and checks for ip address/type combinations. It doesn't even touch the host model at all.

Can I get access to a PPC host or somehow fake one on my dev environment?
Comment 10 Lukas Svaty 2015-10-07 09:10:35 EDT
Got today 1 ppc host to try it on. And this scenario is not reproducible anymore. Tried multiple different scenarios and message "Duplicate fence agent address found." only in case second agent was added with the same address.

Only possible reason for this bug might be that fence agent was added but not displayed on website (or I overlooked it). However I do not posses the reproduction environment anymore and can't reproduce a scenario where 1 fence agent would not show in webadmin. 

Because of this I'm CLOSING this one, will re-open if this will re-appear in automation.

Note You need to log in before you can comment on or make changes to this bug.